/*
 * @Author: riverQiu
 * @Date: 2023-10-10 16:08:39
 * @LastEditors: riverQiu
 * @LastEditTime: 2023-10-10 16:10:06
 * @Description: 反馈单
 */
import request from '@/utils/request';

// 查询线索反馈列表
export function listFeedbackOrder(query) {
  return request({
    url: '/zs/feedback/order/list',
    method: 'get',
    params: query
  });
}

// 查询线索反馈详细
export function getFeedbackOrder(feedbackId) {
  return request({
    url: '/zs/feedback/order/' + feedbackId,
    method: 'get'
  });
}

// 查询线索反馈详细
export function getFeedbackOrderByClueId(clueId) {
  return request({
    url: '/zs/feedback/order/' + clueId,
    method: 'get'
  });
}

// 新增线索反馈
export function addFeedbackOrder(data) {
  return request({
    url: '/zs/feedback/order',
    method: 'post',
    data: data
  });
}

// 修改线索反馈
export function updateFeedbackOrder(data) {
  return request({
    url: '/zs/feedback/order',
    method: 'put',
    data: data
  });
}

// 删除线索反馈
export function delFeedbackOrder(feedbackId) {
  return request({
    url: '/zs/feedback/order/' + feedbackId,
    method: 'delete'
  });
}
